<?php
/* 
 * 2.3.2 GEP汇款申请
 * 
 */
header("Content-type: text/html; charset=utf-8");
require_once '../../util/GepUtil.php';

    $url = '/api/payment/applyPayment';
    $params = array();
    $params["userNo"] = "5181200731000138828";
    $params["certificateId"] = "2103031802000005106";
    $params["userReqNo"] = GepUtil::generateRandomString();
    $params["paymentMode"] = "SWIFT";
    $params["paymentCcy"] = "USD";
    $params["payeeCcy"] = "USD";
    $params["fixedModel"] = 1;
    if($params["fixedModel"] == 1){
        $params["paymentAmount"] = "100";
        $params["payeeAmount"] = "0";
    } elseif ($params["fixedModel"] == 2){
        $params["paymentAmount"] = "0";
        $params["payeeAmount"] = "100";
    }
    $params["paymentPurpose"] = "1";
    $params["paymentReference"] = "Payment for goods";
    $params["costBorne"] = "OUR";
    $params["paymentMaterial"] = 13330095;
    $params["cardNo"] = "168888888";
    $params["accountName"] = "GEP Testing Co., Ltd";
    $params["businessNo"] = "2404081349000015196";
    $params["paymentFeeCcy"] = "USD";
    $params["callBackUrl"] = "GEP Testing Co., Ltd";

    $result = GepUtil::sendRequest($url, $params, null, true);
    // result解密明文:{"accountName":"GEP Testing Co., Ltd","applyDate":"2024-07-18 13:35:41","cardNo":"168888888","costBorne":"OUR","orderId":2407181335000031957,"payeeAmount":100.00,"payeeCcy":"USD","paymentAmount":100.00,"paymentCcy":"USD","paymentFeeAmount":0.00,"paymentFeeCcy":"USD","paymentFeeRate":100.000000,"paymentPurpose":1,"paymentReference":"Payment for goods","status":1,"tradeRate":100.000000,"userNo":5181200731000138828,"userReqNo":"20240718073541zBvmfWtopp4A"}
    // TODO