<?php
/**
 * 异步通知
 * http://10.0.60.55:3000/demo/notify.php
 * *************************页面功能说明*************************
 * 异步地址建议不要有特殊字符，如空格、HTML 标签等，且不能重定向。
 * 请确保外部可以访问该页面。
 * 如果没有收到该页面返回的 ‘OK’ 信息，通知服务会在2小时内按一定的时间策略重发通知
 */
require_once '../util/GepUtil.php';

GepUtil::log("----------------------- 异步通知处理--开始 ----------------------------");
foreach ($_POST as $key => $value) {
    GepUtil::log("Key: " . htmlspecialchars($key) . ", Value: " . htmlspecialchars($value) . "<br>");
}
try {
    $dataContent = $_POST['dataContent'];
    if (!empty($dataContent)){
        $plaintext = GepUtil::decryptDataContent($dataContent);
        GepUtil::log("dataContent解密明文：" . $plaintext . "<br>");
        // TODO
    }
    echo "OK";
} catch (Exception $e) {
    GepUtil::log("Error: " . $e->getMessage()) ;
    echo "FAIL";
}
GepUtil::log("----------------------- 异步通知处理--结束 ----------------------------");