<?php
/* 
 * GEP提现申请
 * 
 */
header("Content-type: text/html; charset=utf-8");
require_once '../../util/GepUtil.php';

    $url = '/api/withdrawal/apply-withdrawal';
    $params = array();
    $params["userNo"] = "5181200731000138828";
    $params["certificateId"] = "2103031802000005106";
    $params["userReqNo"] = GepUtil::generateRandomString();
    $params["fixedModel"] = "1"; //固定模式：1-固定付款金额，2-固定收款金额
    $params["paymentCcy"] = "USD";
    $params["payeeCcy"] = "CNH";
    
    if ($params["fixedModel"] == "1") { //固定模式：1-固定付款金额
        $params["paymentAmount"] = "1001";
    } elseif ($params["fixedModel"] == "2") { //固定模式：2-固定收款金额
        $params["payeeAmount"] = "1001";
    }
    
    $params["paymentPurpose"] = "1";
    $params["paymentReference"] = "payment";
    $params["costBorne"] = "BEN";
    $params["cardNo"] = "168888888";
    $params["accountName"] = "GEP Testing Co., Ltd";
    $params["paymentFeeCcy"] = "USD";
    $params["callBackUrl"] = "";
    $params["payerUserNo"] = "";

    $result = GepUtil::sendRequest($url, $params, null, true);
    // result解密明文:{"accountName":"GEP Testing Co., Ltd","applyDate":"2024-07-19 13:40:53","cardNo":"168888888","costBorne":"BEN","orderId":2407191340000032291,"payeeAmount":6262.05,"payeeCcy":"CNH","paymentAmount":1001.00,"paymentCcy":"USD","paymentFeeAmount":33.03,"paymentFeeCcy":"USD","paymentFeeRate":100.000000,"paymentPurpose":1,"paymentReference":"payment","status":1,"tradeRate":625.580000,"userNo":5181200731000138828,"userReqNo":"20240719074052BWf2baeWk3ic"}
	// TODO