<?php
/* 
 * 3.2 添加客户开户主体信息接口
 * 
 */
header("Content-type: text/html; charset=utf-8");
require_once '../../util/GepUtil.php';

    $url = '/api/user/add-customer-open-account-info';
    $dataContentMap = [
        "type" => 1, // 1 境内个人 2境内企业 3香港企业
        "callBackUrl" => "http://10.0.60.55:8083/gep-demo-java/CommonNotify"
    ];
    
    $objMap = [
        "memberTransId" => uniqid(),
        "parentCustomerNo" => "5182240710000033088" // 默认值，后续可根据需求修改
    ];

    if ($dataContentMap['type'] == 1) {
        $objMap = array_merge($objMap, [
            "name" => "张宝",
            "enName" => "zhang bao",
            "idFront" => 13330110,
            "idReverse" => 13330095,
            "idHold" => 13330220,
            "idNo" => "211102200009040143",
            "legalCertExpiryDate" => "2042-01-01",
            "birthDate" => "2000-09-04",
            "postCode" => "200000",
            "address" => "浦东新区",
            "province" => "310000_上海市",
            "city" => "310100_上海市",
            "area" => "310115_浦东新区"
        ]);
    } elseif ($dataContentMap['type'] == 2) {
        $objMap = array_merge($objMap, [
            "name" => "张宝有限公司",
            "enName" => "zhang bao you xian gong si",
            "license" => 13330110,
            "licenseNo" => "91310115MA1K4AQL31",
            "legalIdType" => 1, // 1：身份证  2：护照
            "legalName" => "张宝",
            "legalNo" => "211102200009040143",
            "legalCertExpiryDate" => "2042-01-01",
            "legalIdFront" => 13330110,
            "legalIdReverse" => 13330110,
            "legalIdHold" => 13330110,
            "registerDate" => "2019-03-14",
            "registerAmt" => "1000",
            "birthDate" => "2000-09-04",
            "licenseEndDate" => "2039-03-13",
            "postCode" => "200000",
            "industryId" => "0318",
            "economyId" => "160",
            "province" => "310000_上海市",
            "city" => "310100_上海市",
            "area" => "310115_浦东新区",
            "address" => "张江",
            "registerProvince" => "310000_上海",
            "registerCity" => "310100_上海",
            "registerArea" => "浦东",
            "registerAddress" => "张江",
            "legalCountryCode" => "CHN",
            "legalProvince" => "310000_上海",
            "legalCity" => "310100_上海",
            "legalArea" => "浦东",
            "legalAddress" => "张江"
        ]);
    
        $stakeholderInfosMap = [
            "stakeholderName" => "张宝",
            "stakeholderIdType" => 1, // 1-身份证 2-护照
            "stakeholderIdNo" => "211102200009040143",
            "stakeholderCertExpiryDate" => "2042-01-01",
            "stakeholderIdFront" => 13330110,
            "stakeholderIdReverse" => 13330110,
            "stakeholderDirectorRatio" => 100,
            "stakeholderAddress" => "上海浦东",
            "stakeholderBirthDate" => "2000-09-04",
            "stakeholderCountry" => "CHN"
        ];
    
        $objMap["stakeholderInfos"] = json_encode($stakeholderInfosMap);
    } elseif ($dataContentMap['type'] == 3) {
        $objMap = array_merge($objMap, [
            "name" => "张宝有限公司",
            "enName" => "zhang bao you xian gong si",
            "orgRegister" => 13330110,
            "businessRegister" => 13330110,
            "declarationForm" => 13330110,
            "orgRegisterNo" => "91310115",
            "businessRegisterNo" => "91310115",
            "businessRegisterExpiryDate" => "2025-06-06",
            "registerDate" => "2020-06-06",
            "registerAmt" => "1000",
            "stockCertificate" => 13330110,
            "province" => "310000_上海市",
            "city" => "310100_上海市",
            "area" => "310115_浦东新区",
            "address" => "张江",
            "registerProvince" => "310000_上海",
            "registerCity" => "310100_上海",
            "registerArea" => "浦东",
            "registerAddress" => "张江"
        ]);
    
        $directorInfosMap = [
            "directorName" => "张宝",
            "directorIdType" => 1, // 1-身份证 2-护照
            "directorIdNo" => "211102200009040143",
            "directorCertExpiryDate" => "2042-01-01",
            "directorIdFront" => 13330110,
            "directorIdReverse" => 13330110,
            "directorBirthDate" => "2000-09-04",
            "directorCountry" => "CHN",
            "directorProvince" => "310000_上海",
            "directorCity" => "310100_上海",
            "directorArea" => "浦东",
            "directorAddress" => "张江"
        ];
    
        $objMap["directorInfos"] = json_encode($directorInfosMap);
    
        $stakeholderInfosMap = [
            "stakeholderName" => "张宝",
            "stakeholderIdType" => 1, // 1-身份证 2-护照
            "stakeholderIdNo" => "211102200009040143",
            "stakeholderCertExpiryDate" => "2042-01-01",
            "stakeholderIdFront" => 13330110,
            "stakeholderIdReverse" => 13330110,
            "stakeholderDirectorRatio" => 100,
            "stakeholderAddress" => "上海浦东",
            "stakeholderBirthDate" => "2000-09-04",
            "stakeholderCountry" => "CHN"
        ];
    
        $objMap["stakeholderInfos"] = json_encode($stakeholderInfosMap);
    }
    
    $dataContentMap["obj"] = json_encode($objMap);

    $result = GepUtil::sendRequest($url, $dataContentMap, null, true);
    // 
	// TODO