<?php
/* 
 * 文件上传
 * 
 */
header("Content-type: text/html; charset=utf-8");
require_once '../util/GepUtil.php';

if (!empty($_POST['userNo']) && !empty($_POST['fileType']) && isset($_FILES['file'])){
    $url = '/api/common/file/upload-file';
    
    $tem_path = $_FILES['file']['tmp_name'];
    GepUtil::echoFormat("上传文件临时路径：".$tem_path);

    $params = array();
    $md5Signature = md5_file($tem_path);
    $params["fileName"] = $_FILES['file']['name'];
    $params["fileMd5encryption"] = $md5Signature;
    $params["userNo"] = $_POST['userNo'];
    $params["fileType"] = $_POST['fileType'];
        
    $file = array('file' => $_FILES['file']);
    
    $result = GepUtil::sendRequest($url, $params, $file, true);
    // result解密明文:{"fileId":13332965,"fileMd5encryption":"c1bdd6105fa0008542b732bcd71d4ea9","fileName":"logo.png","userNo":5181200731000138828}
    // TODO 
    return;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>文件上传接口</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f8f9fa;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            margin-bottom: 20px;
            font-size: 24px;
            text-align: center;
            color: #333;
        }
        label {
            display: block;
            margin: 15px 0 5px;
            font-weight: bold;
            color: #555;
        }
        input[type="file"],
        input[type="text"] {
            width: 95%;
            padding: 10px;
            margin-top: 5px;
            border: 1px solid #ddd;
            border-radius: 4px;
            font-size: 16px;
        }
        input[type="submit"] {
            width: 100%;
            padding: 10px;
            margin-top: 5px;
            border: 1px solid #ddd;
            border-radius: 4px;
            font-size: 16px;
            background-color: #007bff;
            color: #fff;
            border: none;
            cursor: pointer;
        }
        input[type="submit"]:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>文件上传页面</h1>
        <form action="" method="post" enctype="multipart/form-data">
            <label for="file">选择文件:</label>
            <input type="file" id="file" name="file">
            
            <label for="userNo">UserNo:</label>
            <input type="text" id="userNo" name="userNo" value="5181200731000138828">
            
            <label for="userNo">文件类型:</label>
            <input type="text" id="fileType" name="fileType" value="2">

            <input type="submit" value="Upload" name="submit">
        </form>
    </div>
</body>
</html>
